(define-module (ui x11 ajax)
    :use-module (alterator ajax)
    :use-module (alterator card-index)
    :export (init))

(define (ui-read)
  (f-reset "/x11"))

(define (ui-write)
  (f-submit "/x11"))

(define (init)
  (f-update-list "monitor"     "/x11/avail_model")
  (f-update-list "xdepth"      "/x11/avail_xdepth")
  (f-update-list "xresolution" "/x11/avail_xresolution")
  (ui-read)
  (form-bind "submit"  "click" ui-write)
  (form-bind "reset"   "click" ui-read) )

