(document:surround "/std/frame")

(define (return) (frame:replace "/x11"))

(gridbox
  columns "10;80;10"

  ;;
  (spacer)
  (label text (_ "Drivers:"))
  (spacer)

  ;;
  (spacer)
  (document:id driver (listbox))
  (spacer)

  ;;
  (label colspan 3)

  ;;
  (spacer)
  (hbox
    align "left"
    (button text (_ "OK")
	    (when clicked
	      (woo-catch/message
		(thunk
		  (woo-write "/x11/driver" 'xdriver (driver value))
		  (return)))))
    (button text (_"Cancel")
	    (when clicked
	      (return))))
  (spacer))

(document:root 
  (when loaded
    (woo-catch/message
      (thunk
	(let ((data (woo-read-first "/x11")))
	  (driver enumref "/x11/avail_xdriver"
		  value (woo-get-option data 'xdriver "vesa"))
	  (frame:next-activity #f)
	  (frame:back-activity #f))))))

